Eclipse GEF 3.3

## org.eclipse.gef.handles
Class BendpointHandle

    java.lang.Object
      org.eclipse.draw2d.Figure
          org.eclipse.gef.handles.AbstractHandle
              org.eclipse.gef.handles.SquareHandle
                  org.eclipse.gef.handles.ConnectionHandle
                      org.eclipse.gef.handles.BendpointHandle

All Implemented Interfaces:
  AncestorListener, EventListener, Handle, IFigure, PropertyChangeListener

Direct Known Subclasses:
  BendpointCreationHandle, BendpointMoveHandle

public class BendpointHandle
extends ConnectionHandle
implements PropertyChangeListener

A handle for bendpoints on a connection.

Nested Class Summary

Nested classes inherited from class org.eclipse.draw2d.Figure
`Figure.FigureIterator, Figure.IdentitySearch`

Nested classes inherited from class org.eclipse.draw2d.AncestorListener
`AncestorListener.Stub`

Nested classes inherited from class org.eclipse.draw2d.IFigure
`IFigure.NoInsets`

Field Summary

Fields inherited from class org.eclipse.gef.handles.SquareHandle
`DEFAULT_HANDLE_SIZE`

Fields inherited from class org.eclipse.draw2d.Figure
`bgColor, border, bounds, fgColor, flags, font, MAX_FLAG, maxSize, minSize, NO_MANAGER, prefSize, toolTip`

Fields inherited from interface org.eclipse.draw2d.IFigure
`MAX_DIMENSION, MIN_DIMENSION, NO_INSETS`

Constructor Summary
`BendpointHandle()`

Method Summary
`protected DragTracker` `createDragTracker()` By default, `null` is returned for the DragTracker.
`int` `getIndex()` Returns the index.
`void` `propertyChange(PropertyChangeEvent event)` Revalidates this handle when the connection's points change.
`protected void` `setIndex(int i)` Sets the index.

Methods inherited from class org.eclipse.gef.handles.ConnectionHandle
`addNotify, getConnection, isFixed, removeNotify, setFixed`

Methods inherited from class org.eclipse.gef.handles.SquareHandle
`getBorderColor, getFillColor, init, isPrimary, paintFigure`

Methods inherited from class org.eclipse.gef.handles.AbstractHandle
`ancestorAdded, ancestorMoved, ancestorRemoved, getAccessibleLocation, getDragCursor, getDragTracker, getLocator, getOwner, getOwnerFigure, setDragCursor, setDragTracker, setLocator, setOwner, validate`

Methods inherited from class org.eclipse.draw2d.Figure

`add, add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, containsPoint, containsPoint, erase, findDescendantAtExcluding, findFigureAt, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, findMouseEventTargetInDescendantsAt, fireCoordinateSystemChanged, fireFigureMoved, fireMoved, firePropertyChange, firePropertyChange, firePropertyChange, getBackgroundColor, getBorder, getBounds, getChildren, getClientArea, getClientArea, getCursor, getFlag, getFont, getForegroundColor, getInsets, getLayoutManager, getListeners, getLocalBackgroundColor, getLocalFont, getLocalForegroundColor, getLocation, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, intersects, invalidate, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isMouseEventTarget, isOpaque, isRequestFocusEnabled, isShowing, isValid, isValidationRoot, isVisible, layout, paint, paintBorder, paintChildren, paintClientArea, primTranslate, remove, removeAll, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setBounds, setChildrenDirection, setChildrenEnabled, setChildrenOrientation, setConstraint, setCursor, setEnabled, setFlag, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setValid, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative, useLocalCoordinates`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BendpointHandle

    public BendpointHandle()

Method Detail

### createDragTracker

    protected DragTracker createDragTracker()

  By default, `null` is returned for the DragTracker.

  Specified by:
    `createDragTracker` in class `AbstractHandle`
  Returns:
    returns null by default

### getIndex

    public int getIndex()

  Returns the index. This could mean different things for different subclasses. It could be the index of the point the handle belongs to. Or it could be the index of the handle itself. For `BendpointCreationHandle`s and `BendpointMoveHandle`s, this is the index of the handle itself, where these two types of handles are indexed separately. For example, if you have one bendpoint, you will have 2 creation handles, indexed as 0 and 1, and 1 move handle, indexed as 0.

  Returns:
    the index

### propertyChange

    public void propertyChange(PropertyChangeEvent event)

  Revalidates this handle when the connection's points change.

  Specified by:
    `propertyChange` in interface `PropertyChangeListener`
  Overrides:
    `propertyChange` in class `ConnectionHandle`
  Parameters:
    `event` - the event that caused the points change
  See Also:
    `PropertyChangeListener.propertyChange(java.beans.PropertyChangeEvent)`

### setIndex

    protected void setIndex(int i)

  Sets the index.

  Parameters:
    `i` - the new index
  See Also:
    `getIndex()`

Eclipse GEF 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.